package com.yanzhu.jh.video.domain;

import java.util.List;

import com.yanzhu.jh.video.domain.DevAiProjectConfigPassage;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备配置对象 dev_ai_project_config
 * 
 * @author JiangYuQi
 * @date 2023-10-03
 */
public class DevAiProjectConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    private String projectName;

    /** 单位主键 */
    @Excel(name = "单位主键")
    private Long deptId;

    private String deptName;

    /** 相机名称 */
    @Excel(name = "相机名称")
    private String ipcName;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String serialNumber;

    /** 厂商名称 */
    @Excel(name = "厂商名称")
    private String manufacturer;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    /** 设备配置通道信息 */
    private List<DevAiProjectConfigPassage> devAiProjectConfigPassageList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setIpcName(String ipcName) 
    {
        this.ipcName = ipcName;
    }

    public String getIpcName() 
    {
        return ipcName;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setSerialNumber(String serialNumber) 
    {
        this.serialNumber = serialNumber;
    }

    public String getSerialNumber() 
    {
        return serialNumber;
    }
    public void setManufacturer(String manufacturer) 
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() 
    {
        return manufacturer;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public List<DevAiProjectConfigPassage> getDevAiProjectConfigPassageList()
    {
        return devAiProjectConfigPassageList;
    }

    public void setDevAiProjectConfigPassageList(List<DevAiProjectConfigPassage> devAiProjectConfigPassageList)
    {
        this.devAiProjectConfigPassageList = devAiProjectConfigPassageList;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("ipcName", getIpcName())
            .append("deviceName", getDeviceName())
            .append("serialNumber", getSerialNumber())
            .append("manufacturer", getManufacturer())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("devAiProjectConfigPassageList", getDevAiProjectConfigPassageList())
            .toString();
    }
}
